> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atlaspay.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Network Token



## OpenAPI

````yaml GET /network-tokens/{network_token_id}
openapi: 3.0.3
info:
  title: Atlas API
  description: >
    Processor-agnostic payment orchestration API with Basis Theory for PCI-free
    tokenization.


    ## Authentication


    All API requests require authentication using an API key in the
    `Authorization` header:

    ```

    Authorization: Bearer sk_test_your_api_key

    ```


    ## Payment Methods


    Atlas supports multiple payment methods:

    - **Card**: Credit and debit cards tokenized via Basis Theory

    - **Apple Pay**: Native Apple Pay integration

    - **Google Pay**: Native Google Pay integration

    - **Bank Account (ACH)**: US bank account payments


    ## Environments


    - **Test**: Use `sk_test_` prefixed keys

    - **Live**: Use `sk_live_` prefixed keys
  version: 1.0.0
  contact:
    name: Atlas Support
    url: https://atlas.co/support
servers:
  - url: https://api.atlas.co/functions/v1
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: Sessions
    description: Payment session management
  - name: Payments
    description: Payment confirmation and processing
  - name: Customers
    description: Customer management
  - name: Products
    description: Product catalog management
  - name: Prices
    description: Price configuration
  - name: Subscriptions
    description: Subscription billing
  - name: Invoices
    description: Invoice management
  - name: Coupons
    description: Discount coupons
  - name: Usage Records
    description: Metered billing usage
  - name: Checkout
    description: Hosted checkout pages
  - name: Portal
    description: Customer self-service portal
  - name: Bank Accounts
    description: ACH bank account management
  - name: Identity Vault
    description: PII tokenization and storage
  - name: KYC
    description: Identity verification
  - name: Ledger
    description: Double-entry ledger accounting
  - name: 3D Secure
    description: 3DS authentication
  - name: Network Tokens
    description: Network token management
  - name: Apple Pay
    description: Apple Pay integration
paths:
  /network-tokens/{network_token_id}:
    get:
      tags:
        - Network Tokens
      summary: Get Network Token
      operationId: getNetworkToken
      parameters:
        - name: network_token_id
          in: path
          required: true
          schema:
            type: string
        - name: session_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Network token details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkToken'
      security:
        - ClientSecretAuth: []
components:
  schemas:
    NetworkToken:
      type: object
      properties:
        networkTokenId:
          type: string
        network:
          type: string
        status:
          type: string
        tokenExpiryMonth:
          type: string
        tokenExpiryYear:
          type: string
        cryptogram:
          type: string
        cryptogramType:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key (sk_test_* or sk_live_*)
    ClientSecretAuth:
      type: http
      scheme: bearer
      description: Client secret from payment session

````